**Note de Cadrage - Création d'un Site Internet de Vente de Montres en Ligne**  
**Projet** : Création d'un site de vente en ligne de montres  
**Chef de projet** : équipe de la SAE
**Propriétaire** : équipe de la SAE  
**Date** : Semestre 3 de la formation de BUT

---

### 1. Objectifs du Projet

**Principal objectif** : Créer un site e-commerce attractif et performant pour la vente en ligne de montres de qualité, visant à offrir une expérience client fluide, moderne et sécurisée.  

**Objectifs spécifiques** :  
- Développer une interface utilisateur intuitive et esthétiquement plaisante.
- Offrir un catalogue varié de montres (modèles classiques, de luxe).
- Optimiser la gestion des commandes, des stocks et de la logistique.
- Créer une expérience client confortable et personnalisée (options de recherche, filtres par style et marque, recommandations personnalisées).
- Assurer la sécurité des transactions et la conformité RGPD pour protéger les données des clients.
  
### 2. Périmètre du Projet  

- **Plateforme** : Le site sera développé sur VScode, IntelliJ, SQLdeveloper
- **Clientèle cible** :  
  - **Classe moyenne et Classe aisés de la sociétés**
- **Parties prenantes** :  
  - **MOA** (Maîtrise d’Ouvrage) : BUT Informatique
  - **MOE** (Maîtrise d’Œuvre) : équipe de SAE.
  - **Autres parties prenantes** : Équipe des professeurs en charge d'encadrer le projet.

### 3. Contraintes et Défis du Projet  

- **Technologie** : Choix de la plateforme e-commerce et intégration des modules (catalogue, gestion des stocks, systèmes de paiement sécurisé, RGPD).
- **Délais** : Le site doit être opérationnel en janvier.
- **Normes et conformité** : Respect des réglementations RGPD et des normes de sécurité pour le paiement en ligne.
- **Expérience client** : Maintenir une navigation fluide malgré la diversité de produits, et optimiser le site pour mobile et desktop.

### 4. Description de l’Équipe Projet  

- **Chefs de projet** : Titouan Dupuy . 
Cohésion, respect des délais et de la gestion des partenaires externes.
- **Équipe opérationnelle** :
  - Ici, toute l'équipe travaillera en cohésion et sur tout les aspects du développement.

### 5. Méthodologie et Planification  

- **Phase 1** : Analyse des besoins et encadrement des différentes partie du projet.
  - Management
  - analyse
  - communication

- **Phase 2** : Début de la phase de développement.
  - Web
  - Base de données

- **Phase 3** : Développement du système réseau
  - Architecture réseau
  - Qualité de développement

- **Phase 4** : Présentation de notre projet au professeurs encadrants
  - Anglais 
  - Toutes les parties
### 6. Moyens nécessaires  

- **Humains** : Équipe de SAE
- **Financiers** : aucun budget prévu, coût en temps de travail
- **Matériels** :  
  - Serveur locaux à l'IUT permettant d'héberger notre site 
  - Machines personnelles et professionnelles pour le développement
  - Logiciels de développement

### 7. Échéance et Livraison  

- **Date de rendu prévue** : Janvier 2025.
- **Livrable final** : Site e-commerce opérationnel avec catalogue de montres, sécurisé et optimisé pour une navigation fluide et intuitive sur PC, mettant en œuvre et en relation un serveur, des clients, une base de données.