<?php

namespace App\Controllers;

use App\Models\MontreModele;
use App\Models\ClientModele;
use PHPUnit\Exception;
use function PHPUnit\Framework\assertEquals;

class Connexion extends BaseController
{
    
    public function __construct()
    {
        $this->clientmodel = $clientmodel = new ClientModele();
        $this->montremodel = $MontreModele = new MontreModele();
    }


    // Récupère les informations données par la vue (post), teste si c'est le profil administrateur, sinon, check la connexion puis redirige vers la page d'accueil.
      public function login(){
          $username = $this->request->getPost('email');
          $password = $this->request->getPost('password');

          // DEV EFFICACE
          try {
              assert(isset($username) && isset($password));
              assertEquals($this->CheckConnexion($username, $password), true);
          }catch(Exception $E){
              return 'Erreur de Connexion' . $E;

          }

          if (isset($username) && isset($password)) {
              if ($this->CheckConnexion($username, $password)){
                  if ($username == 'admin' && $password == 'password') { // Vérification que l'on à affaire à un administrateur
                      $this->makeSession('newsession', $username, 'admin'); // Création d'une session admin
                  }else{
                      $this->makeSession('newsession', $username,'user');
                  }
                  return redirect()->to('/');
              }
          }
          return 'Erreur de Connexion';
    }

    //regarde si le mail est dasn la base de donnée, et si le mot de passe correspondant est le bon
    public function CheckConnexion($username, $password):bool
    {
        $usernames = $this->clientmodel->findColumn('Adresse_mail');
        $checkMail = false;
        $checkPass = false;
        if (in_array($username, $usernames)) {

            $checkMail=true;
            $truepassword = $this->clientmodel->getPassByEmail($username);
            if ($password == $truepassword->Mot_de_passe) {
                $checkPass=true;
            }
        }
        if ($checkMail && $checkPass) {
            return true;
        }
        return false;
    }

    //créé une session
    public function makeSession(string $sessionKey, string $username, string $role)
    {
        $session = \Config\Services::session();
        $session->set($sessionKey, [
            'identifiant' => $username,
            'role' => $role,
        ]);
    }

    //détruit la session et redirige sur la page de connexion
    public function logout()
    {

        $session = session();

        //vérifie que la connexion n'est pas null
        assert(isset($session));

        // Effacer toutes les données de la session
        $session->destroy();
        // Rediriger vers la page de connexion
        return redirect()->to('/login_page');
    }

}