<?php

namespace App\Database\Migrations;

use CodeIgniter\Database\Migration;

class Montre extends Migration
{
    public function up()
    {
        $this->forge->addField([
           'ID_Montre' => [
               'type' => 'INT',
               'unsigned' => true,
               'auto_increment' => true
           ],
            'Nom' => [
                'type'=> 'VARCHAR'
            ],
            'Prix' => [
                'type' => 'INT',
                'unsigned' => true
            ],
            'Quantite' => [
                'type' => 'INT',
                'unsigned' => true
            ],
            'ID_Marque' => [
                'type' => 'INT',
                'unsigned' => true,
            ],
            'ID_Matiere' => [
                'type' => 'INT',
                'unsigned' => true,
            ],
            'Autonomie' => [
                'type'=> 'VARCHAR'
            ],
            'ID_Style' => [
                'type' => 'INT',
                'unsigned' => true,
            ]

        ]);

        $this->forge->addPrimaryKey('ID_Montre');
        $this->forge->addForeignKey('ID_Matiere','Matiere','ID_Matiere');
        $this->forge->addForeignKey('ID_Marque','Marque','ID_Marque');
        $this->forge->addForeignKey('ID_Style','Style','ID_Style');
        $this->forge->createTable('Montre');

    }

    public function down()
    {
        $this->forge->dropTable('Montre');
    }
}
