<?php

namespace App\Database\Migrations;

use CodeIgniter\Database\Migration;

class Commande extends Migration
{
    public function up()
    {
        $this->forge->addField([
            'ID_Commande'=>[
                'type'           => 'INT',
                'auto_increment' => true,
                'unsigned'       => true
            ],
            'ID_Client'=>[
                'type'           => 'INT',
                'unsigned'       => true
            ],
            'ID_Montre'=>[
                'type'           => 'INT',
                'unsigned'       => true
            ],
            'Quantite' => [
                'type' => 'INT',
                'unsigned' => true
            ],
            'Etat'=>[
                'type'=>'VARCHAR'
            ],
            'Date_Commande'=>[
                'type'=>'DATE'
            ],
            'ID_Adresse_Livraison'=>[
                'type' => 'INT',
                'unsigned' => true,
                'null' => true
            ]
        ]);
        $this->forge->addPrimaryKey('ID_Commande');
        $this->forge->addForeignKey('ID_Montre','Montre','ID_Montre');
        $this->forge->addForeignKey('ID_Client','Client','ID_Client');
        $this->forge->addForeignKey('ID_Adresse_Livraison','Adresse','ID_Adresse');
        $this->forge->createTable('Commande');

    }

    public function down()
    {
        $this->forge->dropTable('Commande');
    }
}
