<?php

namespace App\Database\Migrations;

use CodeIgniter\Database\Migration;

class Client extends Migration
{
    public function up()
    {
        $this->forge->addField([
           'ID_Client'=>[
               'type'           => 'INT',
               'auto_increment' => true,
               'unsigned'       => true
           ],
            'Nom' => [
                'type' => 'VARCHAR',
                'null' => true
            ],
            'Prenom' => [
                'type' => 'VARCHAR',
                'null' => true
            ],
            'Adresse_mail'=>[
                'type'=>'VARCHAR'
            ],
            'Numero_telephone'=>[
                'type'=> 'INT',
                'null' => true
            ],
            'Mot_de_passe' => [
                'type' => 'VARCHAR',
            ],
            'ID_Adresse'=>[
                'type'           => 'INT',
                'unsigned'       => true,
                'null' => true
            ],
            'Numero_Carte'=>[
                'type' => 'INT',
                'unsigned' => true,
                'null' => true
            ]
        ]);
        $this->forge->addPrimaryKey('ID_Client');
        $this->forge->addForeignKey('ID_Adresse','Adresse','ID_Adresse');
        $this->forge->addForeignKey('Numero_Carte','InfoBanquaires','Numero_Carte');
        $this->forge->addUniqueKey('Adresse_mail');
        $this->forge->createTable('Client');
    }

    public function down()
    {
        $this->forge->dropTable('Client');
    }
}
