<?php

namespace App\Models;

use CodeIgniter\Model;
use App\Entities\ClientEntity;

class ClientModele extends Model
{
    protected $table            = 'Client';
    protected $primaryKey       = 'ID_Client';
    protected $useAutoIncrement = true;
    protected $returnType       = ClientEntity::Class;
    protected $useSoftDeletes   = false;
    protected $protectFields    = true;
    protected $allowedFields = ['ID_Client', 'Nom', 'Prenom', 'Adresse_mail', 'Numero_telephone', 'Mot_de_passe', 'ID_Adresse', 'Numero_Carte'];
    
    protected bool $allowEmptyInserts = false;
    protected bool $updateOnlyChanged = true;

    protected array $casts = [];
    protected array $castHandlers = [];

    // Dates
    protected $useTimestamps = false;
    protected $dateFormat    = 'datetime';
    protected $createdField  = 'created_at';
    protected $updatedField  = 'updated_at';
    protected $deletedField  = 'deleted_at';

    // Validation
    protected $validationRules      = [];
    protected $validationMessages   = [];
    protected $skipValidation       = false;
    protected $cleanValidationRules = true;

    // Callbacks
    protected $allowCallbacks = true;
    protected $beforeInsert   = [];
    protected $afterInsert    = [];
    protected $beforeUpdate   = [];
    protected $afterUpdate    = [];
    protected $beforeFind     = [];
    protected $afterFind      = [];
    protected $beforeDelete   = [];
    protected $afterDelete    = [];


    // Récupère l'id du client en fonction de son adresse mail
    public function getClientIdByEmail($email)
    {
        return $this->select('ID_Client')
            ->where('Adresse_mail', $email)
            ->first();
    }
    // Récupère le password du client en fonction de son adresse mail
    public function getPassByEmail($email)
    {
        return $this->select('Mot_de_passe')
            ->where('Adresse_mail', $email)
            ->first();
    }
}
