<?php

namespace App\Models;

use CodeIgniter\Model;
use App\Entities\CommandeEntity;

class CommandeModele extends Model
{
    protected $table            = 'Commande';
    protected $primaryKey       = 'ID_Commande';
    protected $useAutoIncrement = true;
    protected $returnType       = CommandeEntity::Class;
    protected $useSoftDeletes   = false;
    protected $protectFields    = true;
    protected $allowedFields = ['ID_Commande', 'ID_Client', 'ID_Montre', 'Quantite', 'Etat', 'Date_Commande', 'ID_Adresse_Livraison'];
    
    protected bool $allowEmptyInserts = false;
    protected bool $updateOnlyChanged = true;

    protected array $casts = [];
    protected array $castHandlers = [];

    // Dates
    protected $useTimestamps = false;
    protected $dateFormat    = 'datetime';
    protected $createdField  = 'created_at';
    protected $updatedField  = 'updated_at';
    protected $deletedField  = 'deleted_at';

    // Validation
    protected $validationRules      = [];
    protected $validationMessages   = [];
    protected $skipValidation       = false;
    protected $cleanValidationRules = true;

    // Callbacks
    protected $allowCallbacks = true;
    protected $beforeInsert   = [];
    protected $afterInsert    = [];
    protected $beforeUpdate   = [];
    protected $afterUpdate    = [];
    protected $beforeFind     = [];
    protected $afterFind      = [];
    protected $beforeDelete   = [];
    protected $afterDelete    = [];

    // Récupère la commande en fonction du ou des paramètre donnée
    public function getCommande($id_Client = null, $id_montre = null, $etat_commande = null) {
        $query = $this;
        if ($id_Client !== null) {
            $query = $query->where('ID_Client', $id_Client);
        }
        if ($id_montre !== null) {
            $query = $query->where('ID_Montre', $id_montre);
        }
        if ($etat_commande !== null) {
            $query = $query->where('Etat', $etat_commande);
        }
        return $query->findAll();
    }




}
