<?php

namespace App\Models;

use CodeIgniter\Model;
use App\Entities\MontreEntity;

class MontreModele extends Model
{
    protected $table            = 'Montre';
    protected $primaryKey       = 'ID_Montre';
    protected $useAutoIncrement = true;
    protected $returnType       = MontreEntity::class;
    protected $useSoftDeletes   = false;
    protected $protectFields    = true;
    protected $allowedFields = ['ID_Montre', 'Nom', 'Prix', 'Quantite', 'ID_Marque', 'ID_Matiere', 'Autonomie', 'ID_Style'];
    
    protected bool $allowEmptyInserts = false;
    protected bool $updateOnlyChanged = true;

    protected array $casts = [];
    protected array $castHandlers = [];

    // Dates
    protected $useTimestamps = false;
    protected $dateFormat    = 'datetime';
    protected $createdField  = 'created_at';
    protected $updatedField  = 'updated_at';
    protected $deletedField  = 'deleted_at';

    // Validation
    protected $validationRules      = [];
    protected $validationMessages   = [];
    protected $skipValidation       = false;
    protected $cleanValidationRules = true;

    // Callbacks
    protected $allowCallbacks = true;
    protected $beforeInsert   = [];
    protected $afterInsert    = [];
    protected $beforeUpdate   = [];
    protected $afterUpdate    = [];
    protected $beforeFind     = [];
    protected $afterFind      = [];
    protected $beforeDelete   = [];
    protected $afterDelete    = [];
}
