<?php

namespace App\Models\Strategy;

use PhpParser\Node\Stmt\Static_;

abstract class PrixMontre
{
public $prix_HR;
private function __construct(float $prix){
    $this->prix_HR = $prix;
}

public function changePrix(float $nouveauPrix){
    $this->prix_HR = $nouveauPrix;
}
abstract protected function calculPrix():float;


public static function creerPrixMontre(float $prix, float $reduction):PrixMontre{
    if ($reduction = 50.0){
        return new ReductionCinquante($prix);
    }
    if ($reduction = 100.0){
        return new ReductionCent($prix);
    }
    if ($reduction = 0.0){
        return new PrixSimple($prix);
    }
    else{
        throw new \ErrorException('réduction inconnu');
    }
}

}

