<!DOCTYPE html>
<html lang="fr">
<link rel="stylesheet" href="<?= base_url('assets/css/Cart.css') ?>">
<main>
    <h1>Panier</h1>
    <p><?= count($montres ?? []) ?> article</p>

        <!-- Ton code ici, où tu peux utiliser $montre et $cart -->
        <p></p>
        <div class="cart-summary">
            <!-- Liste des articles -->

            <div class="cart-items">
                <?php $subTotal = 0; ?>
                <?php foreach ($montres as $index => $montre): ?>
                    <?php
                    $quantite = $carts[$index]->Quantite ?? 1; // Assurez-vous que la quantité est définie
                    $totalProduct = $montre->Prix * $quantite; // Calcul correct du prix total de l'article
                    $subTotal += $totalProduct; // Ajout au sous-total
                    ?>
                    <div class="cart-item">
                        <!-- Formulaire pour accéder aux détails de la montre -->
                        <form method="get" action="<?= site_url('Montre') ?>">
                            <input type="hidden" name="ID_Montre" value="<?= $montre->ID_Montre ?>">
                            <div class="item-details" onclick="this.parentElement.submit()">
                                <img src="<?= base_url("assets/images/{$montre->ID_Montre}.png") ?>" alt="<?= $montre->Nom ?>">
                                <div class="item-description">
                                    <h2>Montre <?= $montre->Style ?> <?= $montre->Nom ?></h2>
                                    <p class="price"><?= number_format($montre->Prix) ?> €</p>
                                    <p class="total-price"><?= number_format($totalProduct) ?> €</p> <!-- Affiche le total pour cet article -->
                                </div>
                            </div>
                        </form>


                        <!-- Contrôle de la quantité avec menu déroulant -->
                        <div class="quantity-control">
                            <form method="post" action="<?= site_url('updateQuantity') ?>" class="quantity-form">
                                <input type="hidden" name="ID_Montre" value="<?= $montre->ID_Montre ?>">

                                <label for="quantity">Quantité: </label>
                                <select id="quantity" name="Quantite" onchange="this.form.submit()">
                                    <?php for ($i = 1; $i <= $montre->Quantite; $i++) : ?>
                                        <option value="<?= $i ?>" <?= isset($carts[$index]) && $carts[$index]->Quantite == $i ? 'selected' : '' ?>>
                                            <?= $i ?>
                                        </option>
                                    <?php endfor; ?>
                                </select>
                            </form>
                        </div>



                        <form action="<?= site_url('paiement') ?>" method="get">
                            <input type="hidden" name="ID_Montre" value="<?= $montre->ID_Montre?>">
                            <div class="purchase-section">
                                <button type="submit" name="action" value="buy" class="buy-now">Acheter cet article</button>
                            </div>
                        </form>

                        <!-- Bouton de suppression -->
                        <form method="post" action="<?= site_url('removeItem') ?>" class="delete-form">
                            <input type="hidden" name="ID_Montre" value="<?= $montre->ID_Montre ?>">
                            <button type="submit" class="delete-item">🗑️</button>
                        </form>
                    </div>
                <?php endforeach; ?>
            </div>


            <!-- Résumé de la commande -->
            <div class="cart-total">
                <h3>Résumé de la commande</h3>
                <p><span>Sous-total</span><span><?= number_format($subTotal ) ?> €</span></p>
                <p><span>Livraison</span><span><?= $livraison = ($subTotal == 0) ? 0 : 6; ?> €</span></p>
                <p><span>Taxe</span><span><?= number_format($taxe = $subTotal * 0.2 )?> €</span></p>
                <p class="total"><span>Total</span><span><?= number_format($subTotal + $livraison + $taxe ) ?> €</span></p>

                <form method="get" action="<?= site_url('paiement') ?>">
                    <button type="submit" class="checkout-button">Continuer vers le paiement →</button>
                </form>
            </div>

        </div>

</main>
