<!DOCTYPE html>
<html lang="fr">
<link rel="stylesheet" href="<?= base_url('assets/css/home.css') ?>">
<body>
    <main>
        <h1>Nos Produits</h1>
        <div class="filter-bar">
            <form method="get" action="<?= site_url('') ?>">
                <!-- Tri par prix -->
                <select name="prixchoice" id="choice" onchange="this.form.submit()">
                    <option value="" hidden><?= $filter['prixchoice'] ?? 'Prix' ?></option>
                    <option value="Croissant" <?= isset($filter['prixchoice']) && $filter['prixchoice'] === 'Croissant' ? 'selected' : '' ?>>Croissant</option>
                    <option value="Decroissant" <?= isset($filter['prixchoice']) && $filter['prixchoice'] === 'Decroissant' ? 'selected' : '' ?>>Décroissant</option>
                    <option value="" >Déselectionner</option>

                </select>

                <!-- Filtrage par matière -->
                <select name="matierechoice" id="choice" onchange="this.form.submit()">
                    <option value="" hidden><?= $filter['matierechoice'] ?? 'Matière' ?></option>
                    <?php foreach ($matieres as $matiere): ?>
                        <option value="<?= $matiere->ID_Matiere ?>" <?= isset($filter['matierechoice']) && $filter['matierechoice'] == $matiere->ID_Matiere ? 'selected' : '' ?>>
                            <?= $matiere->Materiaux ?>
                        </option>
                    <?php endforeach; ?>
                    <option value="" >Déselectionner</option>
                </select>

                <!-- Filtrage par marque -->
                <select name="marquechoice" id="choice" onchange="this.form.submit()">
                    <option value="" hidden><?= $filter['marquechoice'] ?? 'Marque' ?></option>
                    <?php foreach ($marques as $marque): ?>
                        <option value="<?= $marque->ID_Marque??"marque" ?>" <?= isset($filter['marquechoice']) && $filter['marquechoice'] == $marque->ID_Marque ? 'selected' : '' ?>>
                            <?= htmlspecialchars($marque->Nom) ?>
                        </option>
                    <?php endforeach; ?>
                    <option value="" >Déselectionner</option>

                </select>

                <!-- Filtrage par style -->
                <select name="stylechoice" id="choice" onchange="this.form.submit()">
                    <option value="" hidden><?= $filter['stylechoice'] ?? 'Style' ?></option>
                    <?php foreach ($styles as $style): ?>
                        <option value="<?= $style['ID_Style'] ?>" <?= isset($filter['stylechoice']) && $filter['stylechoice'] == $style['ID_Style'] ? 'selected' : '' ?>>
                            <?= htmlspecialchars($style['Nom']) ?>
                        </option>
                    <?php endforeach; ?>
                    <option value="" >Déselectionner</option>
                </select>
            </form>
        </div>
        <div class="product-grid">
           
            <?php foreach ($data as $Info): ?>
                <form method="get" action="<?= site_url('Montre') ?>">
                    <input type="hidden" name="ID_Montre" value="<?= $Info->ID_Montre?>">
                    <div class="product-card" onclick="this.parentElement.submit()">
                        <img src="<?= base_url("assets/images/{$Info->ID_Montre}.png") ?>" alt="<?= $Info->Nom?>">                        
                        <h3>Montre <?= $Info->ID_Style?> <?= $Info->Nom?></h3>
                        <p><?= number_format($Info->Prix)?>€</p>
                    </div>
                </form> 
            <?php endforeach;?>
        </div>
    </main>
</body>
</html>
