<!DOCTYPE html>
<html lang="fr">
<link rel="stylesheet" href="<?= base_url('assets/css/paiement.css') ?>">
<main>
    <!-- Formulaire de paiement -->
    <div class="payment-form">
        <h1>Paiement</h1>
        <form action="<?= site_url('ProcessPayment') ?>" method="post">
            <!-- Informations personnelles -->
            <div class="form-group">
                <label for="Nom">Nom</label>
                <input type="text" id="Nom" name="Nom" placeholder="Exemple : Jean" value="<?= $client->Nom??'' ?>" required>
            </div>
            <div class="form-group">
                <label for="Prenom">Prénom</label>
                <input type="text" id="Prenom" name="Prenom" placeholder="Exemple : Dupont" value="<?= $client->Prenom ?? '' ?>" required>
            </div>
            <div class="form-group">
                <label for="Numero_telephone">Téléphone</label>
                <input type="tel" id="Numero_telephone" name="Numero_telephone" placeholder="Exemple : +33 6 00 00 00 00" value="<?= $client->Numero_telephone ?? '' ?>" required>
            </div>

            <!-- Adresse -->
            <div class="form-group">
                <label for="Rue">Rue</label>
                <input type="text" id="Rue" name="Rue" placeholder="Exemple : 10 rue des Champs" value="<?= $adresse->Rue ?? '' ?>" required>
            </div>
            <div class="form-group">
                <label for="Ville">Ville</label>
                <input type="text" id="Ville" name="Ville" placeholder="Exemple : Nantes" value="<?= $adresse->Ville ?? ''?>" required>
            </div>
            <div class="form-group">
                <label for="Code_Postal">Code Postal</label>
                <input type="text" id="Code_Postal" name="Code_Postal" placeholder="Exemple : 44000" value="<?= $adresse->Code_Postal ?? '' ?>" required>
            </div>
            <div class="form-group">
                <label for="Pays">Pays</label>
                <input type="text" id="Pays" name="Pays" placeholder="Exemple : France" value="<?= $adresse->Pays ?? '' ?>" required>
            </div>

            <!-- Détails de paiement -->
            <div class="form-group">
                <label for="Numero_Carte">Numéro de carte</label>
                <input type="text" id="Numero_Carte" name="Numero_Carte" placeholder="Exemple : 1234 5678 9012 3456" value="<?= $infoBanquaire->Numero_Carte ?? '' ?>" required>
            </div>
            <div class="form-row">
                <div class="form-group">
                    <label for="Date_Expiration">Date d'expiration</label>
                    <input type="text" id="Date_Expiration" name="Date_Expiration" placeholder="Exemple : 2026/12/25" value="<?= $infoBanquaire->Date_Expiration ?? '' ?>" required>
                </div>
                <div class="form-group">
                    <label for="cvv">CVV</label>
                    <input type="number" id="cvv" name="cvv" placeholder="Exemple : 123" required>
                </div>
            </div>

            <!-- Bouton de paiement -->
            <button type="submit" class="payment-button">Payer maintenant</button>
        </form>
    </div>

    <!-- Récapitulatif de la commande -->
    <div class="summary">
        <h3>Résumé des achats</h3>
        <?php $subTotal = 0; foreach ($montres as $index => $montre): ?>
            <div class="item">
                <img src="<?= base_url("assets/images/{$montre->ID_Montre}.png") ?>" alt="<?= $montre->Nom ?>">
                <div class="details">
                    <h4>Montre <?= $montre->ID_Style ?> <?= $montre->Nom ?></h4>
                    <p class="price"><?= $montre->Prix ?> €</p>
                    <p class="quantity">Quantité : <?= $commandes[$index]->Quantite ?></p>
                    <p class="total-price"><?= $totalProduct = $montre->Prix * $commandes[$index]->Quantite ?> €</p>
                </div>
            </div>
            <?php $subTotal += $totalProduct; ?>
        <?php endforeach; ?>

        <!-- Total -->
        <div class="total">
            <span>
                Sous Total<br>
                Livraison<br>
                Taxe<br>
                Total
            </span>
            <span>
                <?= $subTotal ?> €<br>
                <?= $livraison = ($subTotal > 0) ? 6 : 0; ?> €<br>
                <?= $taxe = $subTotal * 0.2 ?> €<br>
                <?= $subTotal + $livraison + $taxe ?> €
            </span>
        </div>
    </div>
</main>

